# Generated by Django 4.0.3 on 2022-11-27 19:02

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Additional_Item',
            fields=[
                ('Description', models.CharField(editable=False, max_length=50, primary_key=True, serialize=False, unique=True)),
                ('Item_Cost', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='City',
            fields=[
                ('Airport_Code', models.AutoField(editable=False, primary_key=True, serialize=False, unique=True)),
                ('Airport_name', models.CharField(max_length=50)),
                ('City_Name', models.CharField(max_length=50)),
                ('Country', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Crew_Member',
            fields=[
                ('Employee_ID', models.AutoField(editable=False, primary_key=True, serialize=False, unique=True)),
                ('Fname', models.CharField(max_length=50)),
                ('Lname', models.CharField(max_length=50)),
                ('Role', models.CharField(choices=[('Pilot', 'Pilot'), ('Flight Attendant', 'Flight Attendant')], max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Flight',
            fields=[
                ('Flight_ID', models.AutoField(editable=False, primary_key=True, serialize=False, unique=True)),
                ('Flight_Code', models.CharField(max_length=5)),
                ('Origin_Airport', models.CharField(max_length=100)),
                ('Destination_Airport', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Passenger',
            fields=[
                ('P_ID', models.AutoField(editable=False, primary_key=True, serialize=False, unique=True)),
                ('Fname', models.CharField(max_length=50)),
                ('MI', models.CharField(max_length=50)),
                ('Lname', models.CharField(max_length=50)),
                ('Age', models.CharField(max_length=3)),
                ('Gender', models.CharField(choices=[('Male', 'Male'), ('Female', 'Female'), ('Prefer not to say', 'Prefer not to say')], default='Prefer not to say', max_length=20)),
                ('Phone_num', models.CharField(max_length=7, validators=[django.core.validators.RegexValidator('^\\d{0,9}$', message='Please input numbers only')])),
                ('Email_add', models.EmailField(max_length=254, validators=[django.core.validators.EmailValidator()])),
            ],
        ),
        migrations.CreateModel(
            name='Flight_Attendant',
            fields=[
                ('Employee_ID', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='booking.crew_member', unique=True)),
                ('Assigned_Class', models.CharField(choices=[('Economy', 'Economy'), ('Premium Economy', 'Premium Economy'), ('Business', 'Business'), ('First Class', 'First Class')], max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Pilot',
            fields=[
                ('Employee_ID', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='booking.crew_member', unique=True)),
                ('Rank', models.CharField(choices=[('Cadet Pilot', 'Cadet Pilot'), ('Second Officer', 'Second Officer'), ('First Officer', 'First Officer'), ('Senior First Officer', 'Senior First Officer'), ('Captain', 'Captain')], max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Schedule',
            fields=[
                ('Sched_Code', models.AutoField(editable=False, primary_key=True, serialize=False, unique=True)),
                ('Duration', models.CharField(max_length=50)),
                ('Flight_Cost', models.CharField(max_length=50)),
                ('Flight_Code', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='booking.flight')),
            ],
        ),
        migrations.CreateModel(
            name='Booking',
            fields=[
                ('Booking_ID', models.AutoField(editable=False, primary_key=True, serialize=False, unique=True)),
                ('Total_Cost', models.CharField(max_length=100)),
                ('P_ID', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='booking.passenger')),
            ],
        ),
        migrations.CreateModel(
            name='Sched_Crew',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Employee_ID', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='booking.crew_member', unique=True)),
                ('Sched_Code', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='booking.schedule', unique=True)),
            ],
            options={
                'unique_together': {('Sched_Code', 'Employee_ID')},
            },
        ),
        migrations.CreateModel(
            name='Booking_Sched',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Booking_ID', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='booking.booking', unique=True)),
                ('Sched_Code', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='booking.schedule', unique=True)),
            ],
            options={
                'unique_together': {('Booking_ID', 'Sched_Code')},
            },
        ),
        migrations.CreateModel(
            name='Booking_AddItem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Quantity', models.IntegerField(default=0)),
                ('AddItem_Desc', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='booking.additional_item', unique=True)),
                ('Booking_ID', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='booking.booking', unique=True)),
            ],
            options={
                'unique_together': {('Booking_ID', 'AddItem_Desc')},
            },
        ),
    ]
